package backend.dictionary.xml;
import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
public class EntityType {
	private String name;
	private String color;
	private String bgcolor;
	private List<String> regex = new ArrayList<String>();
	private List<String> phrase = new ArrayList<String>();
	
	public void addRegex(String reg){
		regex.add(reg);
	}
	

	public EntityType() {
		super();
	}

	public EntityType(String name) {
		super();
		this.name = name;
		this.color = "violet";
		this.bgcolor = "black";
	}



	public String getName() {
		return name;
	}


	public void setName(String name) {
		this.name = name;
	}

	public List<String> getRegex() {
		return regex;
	}

	public void setRegex(List<String> regex) {
		this.regex = regex;
	}
	/**
	 * @return the dict
	 */
	public List<String> getPhrase() {
		return phrase;
	}
	/**
	 * @param dict the dict to set
	 */
	public void setPhrase(List<String> phrase) {
		this.phrase = phrase;
	}


	public String getColor() {
		return color;
	}


	public String getBgcolor() {
		return bgcolor;
	}
	
	
}
