package backend.dictionary.xml;

public class FoundEntity implements Comparable<FoundEntity> {
	
	private String phrase;
	private int start;
	private int end;
	private String type;
	
	

	/**
	 * @param phrase
	 * @param start
	 * @param end
	 * @param type
	 */
	public FoundEntity(String phrase, int start, int end, String type) {
		super();
		this.phrase = phrase;
		this.start = start;
		this.end = end;
		this.type = type;
	}

	/**
	 * @return the phrase
	 */
	public String getPhrase() {
		return phrase;
	}

	/**
	 * @param phrase the phrase to set
	 */
	public void setPhrase(String phrase) {
		this.phrase = phrase;
	}

	/**
	 * @return the start
	 */
	public int getStart() {
		return start;
	}

	/**
	 * @param start the start to set
	 */
	public void setStart(int start) {
		this.start = start;
	}

	/**
	 * @return the end
	 */
	public int getEnd() {
		return end;
	}

	/**
	 * @param end the end to set
	 */
	public void setEnd(int end) {
		this.end = end;
	}

	/**
	 * @return the type
	 */
	public String getType() {
		return type;
	}

	/**
	 * @param type the type to set
	 */
	public void setType(String type) {
		this.type = type;
	}

	@Override
	public int compareTo(FoundEntity fe) {
		return this.start - fe.start;
	}
	
	

}
