package backend.webservice.xml;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlElement;

public class WSCategory {

	private String name;
	private List<WebService> services = new ArrayList<WebService>();
	
	public WSCategory() {}
	
	public WSCategory(String name) {
		this.name = name;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@XmlElement(name = "service")
	public List<WebService> getServices() {
		return services;
	}

	public void setServices(List<WebService> services) {
		this.services = services;
	}
	
	
}
