package backend.webservice.xml;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement( namespace = "http://launchpad.net/ganesha-ws" )
public class WSRootElement {

	private List<WSCategory> categories = new ArrayList<WSCategory>();
	
	public WSRootElement() {}

	@XmlElement(name = "category")
	public List<WSCategory> getCategories() {
		return categories;
	}

	public void setCategories(List<WSCategory> categories) {
		this.categories = categories;
	}
	
	
}
