var JavaExtension = new Object();

// Get the backend component
var javaComponent = Components.classes["@jsug.tuwien.at/je-backend;1"]
      .getService(Components.interfaces.nsISupports);

JavaExtension.initialize = function() {
  // Initialize the wrappedJSObject, non-verbose
  javaComponent.wrappedJSObject.initialize(java, true);  

  // Load start menu categories
  startMenuArray = javaComponent.wrappedJSObject.getCategories();
  
  // Load service names + URLs and dynamicaly create array and URL variables
  allElemArray = new Array();
  // For each category
  for (var i = 0; i < startMenuArray.length; i++) {
    // Create category array
    eval(startMenuArray[i] + 'MenuArray = new Array();');
    var tempArray = javaComponent.wrappedJSObject.getServices(startMenuArray[i]);
    // For each service
    for (var j = 0; j < tempArray.length; j++) {
      var split = tempArray[j].split(";");
      // Add name of the service to category array
      eval(startMenuArray[i] + 'MenuArray[' + j + '] = "' + split[0] + '";');
      // Generate URL variable
      eval(split[0] + '_URL = "' + split[1] + '";');
    }
    // Update all elements array
    eval('allElemArray = allElemArray.concat(' + startMenuArray[i] + 'MenuArray);');
  }
  /*
  // On page load
  var appcontent = document.getElementById("appcontent");
  if(appcontent) {
    appcontent.addEventListener("DOMContentLoaded", JavaExtension.onPageLoad, true);
  }
  */
  
  // Provide Ganesha functionality on selected text
  var contextMenu = document.getElementById("contentAreaContextMenu");
  contextMenu.addEventListener("popupshowing", JavaExtension.onContextMenuShowing, false);
  
  //content.document.addEventListener("mouseup", function(e) {JavaExtension.OpenMenu(); },	false);
};

/*
JavaExtension.OpenMenu = function(obj) {
  // Get selected text
  //selectedText = content.document.getSelection();
  doShowStartMenu2();
}
*/

JavaExtension.onContextMenuShowing = function() {
  var myMenuitemId = "menu_ganesha_popup";
  var show = gContextMenu.isTextSelected;
  gContextMenu.showItem(myMenuitemId, show);
}
/*
JavaExtension.onPageLoad = function(aEvent) {
  initServices();
  var doc = aEvent.originalTarget;
  doc.addEventListener("mouseup", JavaExtension.OpenMenu,	false);
  //doc.addEventListener("mousedown", test, false);       
}
*/
function onMouseDown(evt) {
  setCoordinates(evt);
  //initServices();
}

JavaExtension.startGanesha = function() {
  if (content.document.getElementById("xstartMenu") != null) {
    alert ("Page already parsed, refresh first!");
  } else {
    var newPage = javaComponent.wrappedJSObject.parse(content.document.body.innerHTML);
    //var newPage = javaComponent.wrappedJSObject.parse(content.document.documentElement.innerHTML);
    //var newPage = content.document.documentElement.innerHTML;     
    content.document.body.innerHTML = newPage;
    highlightSpans();
    initServices();    
  }
};

// Get the extension directory
/*
var extensionID = "jsug@tuwien.at";
var extensionDir = Components.classes["@mozilla.org/extensions/manager;1"]
					   	   .getService(Components.interfaces.nsIExtensionManager)
					       .getInstallLocation(extensionID)
					       .getItemLocation(extensionID);

var imgDir = extensionDir.clone();
imgDir.append("img");

var defaultImg = imgDir.clone();
  defaultImg.append("default.ico");

var personalImg = imgDir.clone();
  personalImg.append("personal.ico");
*/
var defaultImg = "chrome://je/skin/default.ico";
var personalImg = "chrome://je/skin/personal.ico";

function highlightSpans() {
  // Get all highlighted spans.
	var spans = content.document.getElementsByName("markedSpan");
	// Set for all highlighted spans a click eventlistener.
  for (var i = 0; i < spans.length; i++) {
	   spans[i].addEventListener("mouseover", doShowStartMenu, false);
	}	 
}

function test(){
  alert("x");
}

function initServices() {
  if (content.document.getElementById("startMenu") != null) {
    return;
  }
  
  //=========
  // GUI MENU
  //=========
  // Create the init menu element that appears near the selected word
	startMenu = content.document.createElement("div");
  setMenuElement(startMenu, 16, 16, "G", "startMenu");
  startMenu.style.textAlign = "center";
	startMenu.addEventListener("click", closeMenu, false);
	content.document.body.appendChild(startMenu);
	// Create Main menu elements (Dynamic code generation, see eval())
  var x;
  for (x = 0; x < startMenuArray.length; x++) {
    eval(startMenuArray[x] + 'Menu = content.document.createElement("div");');
    eval('setMenuElement(' + startMenuArray[x] + 'Menu, 75, 16, "' + startMenuArray[x] + '", "' + startMenuArray[x] + 'Menu");');
    eval(startMenuArray[x] + 'Menu.addEventListener("click", closeMenu, false);');
    eval('content.document.body.appendChild(' + startMenuArray[x] + 'Menu);');
  }
  
  // Create all submenu elements (Dynamic code generation, see eval())
  for (x = 0; x < allElemArray.length; x++) {
    eval(allElemArray[x] + 'Elem = content.document.createElement("div");');
    eval('setMenuElement(' + allElemArray[x] + 'Elem, 98, 16, "' + allElemArray[x] + '", "' + allElemArray[x] + 'Elem");');
    eval(allElemArray[x] + 'Elem.addEventListener("click", serve, false);');
    eval('content.document.body.appendChild(' + allElemArray[x] + 'Elem);');
  }  
}

/*
 * This function performs the default settings (style + eventlisteners) for an 
 * menu element obj. W is width, h is height, n is shown name, id is ID. 
 */ 
function setMenuElement(obj, w, h, n, id) {
  
  if (id.match("Menu")) {
    if (id.match("startMenu")) {
      obj.innerHTML = "<img src='' height='16px' width='16px'/><span style='font-size: 12px; font-family: arial, helvetica, clean, sans-serif;'>"
      + n +	"</span>";
    } else {
      //var iconPath = imgDir.clone();
      //eval('iconPath.append("' + n + '.ico");');
      obj.innerHTML = "<img src='chrome://je/skin/" +  n + ".ico' onerror='this.error=null;this.src=\"" + personalImg + "\"' height='16px' width='16px'/><span style='font-size: 12px; font-family: arial, helvetica, clean, sans-serif;'>"
        + n +	"</span>";
    }
  } else {
    eval('var weburl = ' + n + '_URL;');    
    obj.innerHTML = "<img src='" + getFavicon(weburl) + "' onerror='this.onerror=null;this.src=\"" + defaultImg + "\"' height='16px' width='16px'/><span style='font-size: 12px; font-family: arial, helvetica, clean, sans-serif;'>"
        + n +	"</span>";
  }
  
  // Set CSS style
	obj.style.width = w + "px";
	obj.style.height = h + "px";
	obj.style.textAlign = "left";
	obj.style.zIndex = 100;
	obj.style.MozOpacity = 0.5;
	obj.style.cursor = "pointer";
	obj.style.backgroundColor = "#E0E0E0 ";
	obj.style.position = "absolute";
	obj.style.display = "none";
	obj.id = id;
	// Register eventlisteners to the element
	obj.addEventListener("mouseover", makeOpaque, false);
	obj.addEventListener("mouseout", makeTransparent, false);
}

/**
 * This function dynamically creates the webservice call.
 * Obj is the sevice to be called. 
 */ 
function serve(obj) {
  var service = obj.currentTarget.getElementsByTagName("span")[0].innerHTML;
  eval('var searchURL = ' + service + '_URL + encodeURI(searchText);');
  gBrowser.selectedTab = gBrowser.addTab(searchURL);
}

/**
 * This function creates the favicon url from an weburl.
 */ 
function getFavicon(weburl) {
  var i = weburl.indexOf("/");
  if (i > 5) {
    weburl = "http://" + weburl.substr(0, i+1) + "favicon.ico";
  } else {
    var part1 = weburl.substr(0, i+2);
    var part2 = weburl.substr(i+2);
    var j = part2.indexOf("/");
    weburl = part1 + part2.substr(0,j+1) + "favicon.ico";    
  }
  return weburl;
}

/*
 * This function opens the menu with webservices and makes it opaque.
 */
function makeOpaque(obj) {
  obj.currentTarget.style.MozOpacity = 1;
  var x = obj.currentTarget.id;
	if (x.match("Menu") != null) {
    eval('doOpenMenu("' + x + '", ' + x + 'Array);');
    //doOpenMenu("startMenu", startMenuArray);
	}
}

/*
 * This function makes the services menu transparent.
 */
function makeTransparent(obj) {
	obj.currentTarget.style.MozOpacity = 0.5;
}

/*
 * This function closes the webservices menu.
 */
function closeMenu(obj) {
  // Hide all menu elems
	setMenuVisibility(startMenuArray, false);
	// Hide all atmomic elems
	setMenuVisibility(allElemArray, false);
	// Hide current element
	obj.currentTarget.style.display = "none";
}

/*
 * This function opens the submenu with webservices for specific menu element elem.
 * ElemArray is the array of elements for the menu to be opened. 
 */
function doOpenMenu(elem, elemArray) {
	var startObj = content.document.getElementById(elem);
	var x;
	// In case of menu elements
	if (elem.match("startMenu") != null) {
    for (x = 0; x < elemArray.length; x++) {
      // Sets the element position according to the current object size
      eval('setPosition(' + elemArray[x] + 'Menu, parseInt(startObj.style.left) + parseInt(startObj.style.width), parseInt(startObj.style.top) + x * parseInt(startObj.style.height));');
    }
  // In case of atomic elements
  } else {
    for (x = 0; x < elemArray.length; x++) {
      // Sets the element position according to the current object size
      eval('setPosition(' + elemArray[x] + 'Elem, parseInt(startObj.style.left) + parseInt(startObj.style.width), parseInt(startObj.style.top) + x * parseInt(startObj.style.height));');
    }
  }
  // Hide all atomic elems
  setMenuVisibility(allElemArray, false);
  // Show elems of actual submenu
	setMenuVisibility(elemArray, true);
}

/*
 * This function makes the webservices menu in/visible.
 */
function setMenuVisibility(elemArray, visible) {  
  var visibility;
	if (visible) {
		visibility = "inline";
	} else {
		visibility = "none";
	}
	
	var x;
	for (x = 0; x < elemArray.length; x++) {
	  try {
      eval(elemArray[x] + 'Menu.style.display = visibility;');
    } catch(err) {
      eval(elemArray[x] + 'Elem.style.display = visibility;');
    }
  }
}


/*
 * This function makes the start menu element visible.
 */
function doShowStartMenu(obj) {
  // Hide all menu elems
	setMenuVisibility(startMenuArray, false);
	// Hide all atomic elems
	setMenuVisibility(allElemArray, false);
	var e = obj.currentTarget;
	var left = 0;
	var top = 0;
	searchText = e.innerHTML;
	// Get the position where to show the start menu element.
	while (e) {
		left += e.offsetLeft;
		top += e.offsetTop;
		e = e.offsetParent;
	}
	setPosition(startMenu, (left + 25), (top - 25));
	startMenu.style.display = "inline";
	
}

function doShowStartMenu2(evt) {
  if (content.document.getSelection() == "") {
    startMenu.style.display = "none";
    // Hide all menu elems
	  setMenuVisibility(startMenuArray, false);
	  // Hide all atomic elems
	  setMenuVisibility(allElemArray, false);
    return;
  }
  setCoordinates(evt);
  searchText = content.document.getSelection();
  // Hide all menu elems
	setMenuVisibility(startMenuArray, false);
	// Hide all atomic elems
	setMenuVisibility(allElemArray, false);
  setPosition(startMenu, (coordX + 25), (coordY - 25));
	startMenu.style.display = "inline";
}

/*
 * This function sets the position of an element.
 */
function setPosition(obj, x, y) {
	obj.style.left = x + "px";
	obj.style.top = y + "px";
}

/**
 * This function sets the coordinates on mousedown.
 */ 
function setCoordinates(evt) {
  coordX = evt.pageX;
  coordY = evt.pageY;
}

function openPrefs() {
  window.open("chrome://je/content/preferences.xul", "ganesha-preferences", "chrome, centerscreen, resizable=yes, width=500, height=330" );
}

function test() {
  window.open("chrome://je/content/test.xul", "ganesha-preferences", "chrome, centerscreen, resizable=yes");
}

//add the initialize function of the JavaExtension to the window load
window.addEventListener("load", function(e) {JavaExtension.initialize(); },	false);
window.addEventListener("mousedown", onMouseDown, false);
window.addEventListener("mouseup", doShowStartMenu2,	false);