package backend.dictionary.xml;


import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement; 


@XmlRootElement( namespace = "http://launchpad.net/ganesha" )
public class EntityMaster {
	
	private List<EntityType> entityTypes;
	
	

	/**
	 * 
	 */
	public EntityMaster() {
		super();
		this.entityTypes = new ArrayList<EntityType>();
		
	}

	/**
	 * @return the entityTypes
	 */
	@XmlElement( name = "entityType" )
	public List<EntityType> getEntityTypes() {
		return entityTypes;
	}

	/**
	 * @param entityTypes the entityTypes to set
	 */
	public void setEntityTypes(List<EntityType> entityTypes) {
		this.entityTypes = entityTypes;
	}
	
	

}
